import { FieldInfo } from 'model-util-base';
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-08-17 17:55
 */
export interface TapdReviewConfig {
    /**
    *
    * @type { string }
    */
    id?: string;
    /**
    * 所属环境
    * @type { string }
    */
    env?: string;
    /**
    * 文件名称
    * @type { string }
    */
    fileName?: string;
    /**
    * 文件地址
    * @type { string }
    */
    filePath?: string;
    /**
    * 配置内容
    * @type { string }
    */
    config?: string;
    /**
    *
    * @type { string }
    */
    tapdId?: string;
}
export declare class TapdReviewConfigMI {
    static get ID(): FieldInfo;
    static get ENV(): FieldInfo;
    static get FILE_NAME(): FieldInfo;
    static get FILE_PATH(): FieldInfo;
    static get CONFIG(): FieldInfo;
    static get TAPD_ID(): FieldInfo;
}
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-08-17 17:55
 */
export interface TapdReviewDatabase {
    /**
    *
    * @type { string }
    */
    id?: string;
    /**
    * 实例ID
    * @type { string }
    */
    instanceId?: string;
    /**
    * 主机名
    * @type { string }
    */
    instanceName?: string;
    /**
    * 数据库名
    * @type { string }
    */
    databaseName?: string;
    /**
    * sql语句
    * @type { string }
    */
    sql?: string;
    /**
    *
    * @type { string }
    */
    tapdId?: string;
}
export declare class TapdReviewDatabaseMI {
    static get ID(): FieldInfo;
    static get INSTANCE_ID(): FieldInfo;
    static get INSTANCE_NAME(): FieldInfo;
    static get DATABASE_NAME(): FieldInfo;
    static get SQL(): FieldInfo;
    static get TAPD_ID(): FieldInfo;
}
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-08-17 17:55
 */
export interface TapdReviewApp {
    /**
    *
    * @type { string }
    */
    id?: string;
    /**
    * 应用名称
    * @type { string }
    */
    appName?: string;
    /**
    * 应用类型：0-deamon应用；1-web应用；2-前端；
    * @type { number }
    */
    appType?: number;
    /**
    * 发布版本
    * @type { string }
    */
    version?: string;
    /**
    *
    * @type { string }
    */
    description?: string;
    /**
    *
    * @type { string }
    */
    tapdId?: string;
}
export declare class TapdReviewAppMI {
    static get ID(): FieldInfo;
    static get APP_NAME(): FieldInfo;
    static get APP_TYPE(): FieldInfo;
    static get VERSION(): FieldInfo;
    static get DESCRIPTION(): FieldInfo;
    static get TAPD_ID(): FieldInfo;
}
